Package com.collibra.dgc.core.api.dto.meta.assettype

# Class FindSubAssetTypesRequest

Object
FindSubAssetTypesRequest

All Implemented Interfaces:
  `Serializable`

public class FindSubAssetTypesRequest extends Object implements Serializable
Represents the search criteria to find sub Asset Types.

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `FindSubAssetTypesRequest.Builder`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FindSubAssetTypesRequest()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static FindSubAssetTypesRequest.Builder`
  `builder()`
  `protected boolean`
  `canEqual(Object other)`
  `boolean`
  `equals(Object o)`
  `UUID`
  `getAssetTypeId()`
  Required. The ID of the Asset Type to search the subtypes for.
  `int`
  `hashCode()`
  `boolean`
  `isDirectSubTypesOnly()`
  Whether we should only list the direct subtypes, or all subtypes.
  `boolean`
  `isIncludeParent()`
  Whether parent Asset Type should be included in the search result.
  `void`
  `setAssetTypeId(UUID assetTypeId)`
  Required. The ID of the Asset Type to search the subtypes for.
  `void`
  `setDirectSubTypesOnly(boolean directSubTypesOnly)`
  Whether we should only list the direct subtypes, or all subtypes.
  `void`
  `setIncludeParent(boolean includeParent)`
  Whether parent Asset Type should be included in the search result.
  `String`
  `toString()`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FindSubAssetTypesRequest

    public FindSubAssetTypesRequest()

- ## Method Details

  - ### builder

    public static FindSubAssetTypesRequest.Builder builder()

  - ### getAssetTypeId

    public UUID getAssetTypeId()
    Required. The ID of the Asset Type to search the subtypes for.

  - ### isIncludeParent

    public boolean isIncludeParent()
    Whether parent Asset Type should be included in the search result.

  - ### isDirectSubTypesOnly

    public boolean isDirectSubTypesOnly()
    Whether we should only list the direct subtypes, or all subtypes.

  - ### setAssetTypeId

    public void setAssetTypeId(UUID assetTypeId)
    Required. The ID of the Asset Type to search the subtypes for.

  - ### setIncludeParent

    public void setIncludeParent(boolean includeParent)
    Whether parent Asset Type should be included in the search result.

  - ### setDirectSubTypesOnly

    public void setDirectSubTypesOnly(boolean directSubTypesOnly)
    Whether we should only list the direct subtypes, or all subtypes.

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### canEqual

    protected boolean canEqual(Object other)

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`